GCLOUD_COMPUTE_ROUTES_LIST(1)

NAME

gcloud compute routes list - list Google Compute Engine routes

SYNOPSIS

gcloud compute routes list [NAME ...] [--limit LIMIT] [--regexp REGEXP, -r REGEXP] [--sort-by SORT_BY] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute routes list displays all Google Compute Engine routes in a project.

POSITIONAL ARGUMENTS
[NAME ...]
    If provided, show details for the specified names and/or URIs of resources.

FLAGS
--limit LIMIT
    The maximum number of results.
--regexp REGEXP, -r REGEXP
    A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.
--sort-by SORT_BY
    A field to sort by. To perform a descending-order sort, prefix the value of this flag with a tilde (``~'').
--uri
    If provided, the list command will only print URIs for the resources returned. If this flag is not provided, the list command will print a human-readable table of useful resource data.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all routes in a project in table form, run:
    $ gcloud compute routes list
To list the URIs of all routes in a project, run:
    $ gcloud compute routes list --uri